DEMANGLE(1)

NAME
demangle - Annulla lo storpiamento dei nomi di C++

SYNOPSIS

demangle

DESCRIZIONE

demangle legge dall'input standard una lista di nomi storpiati di C++ e li converte in una forma leggibile nell'output standard.

Questa applicazione è parte del pacchetto di sviluppo software di KDE.

ESEMPIO

Crea un file chiamato nomi contenente i seguenti nomi storpiati:
_ZNK6Object10metaObjectEv
_ZN8QPtrListI5ArrowE5clearEv
_ZTC4Kolf0_11KMainWindow

Questi nomi possono essere messi a posto nel modo seguente:

    example$ demangle < nomi Object::metaObject() const QPtrList<Arrow>::clear() construction vtable for KMainWindow-in-Kolf

VEDI ANCHE

kminspector(1) kmtrace(1) match(1)

AUTHOR
Ben Burton.